
From: Bjorn Steinbrink <B.Steinbrink@gmx.de>

This patch fixes a bug introduced by the "mm counter operations through
macros" patch, which replaced a decrement operation in with an increment
macro in try_to_unmap_one().

Signed-off-by: Bjrn Steinbrink <B.Steinbrink@gmx.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/rmap.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/rmap.c~mm-fix-rss-counter-being-incremented-when-unmapping mm/rmap.c
--- 25/mm/rmap.c~mm-fix-rss-counter-being-incremented-when-unmapping	Tue May 10 12:45:30 2005
+++ 25-akpm/mm/rmap.c	Tue May 10 12:45:30 2005
@@ -586,7 +586,7 @@ static int try_to_unmap_one(struct page 
 		dec_mm_counter(mm, anon_rss);
 	}
 
-	inc_mm_counter(mm, rss);
+	dec_mm_counter(mm, rss);
 	page_remove_rmap(page);
 	page_cache_release(page);
 
_
